{% extends 'base_bulma.html' %}
{% load static %}


{% block title %}Cart{% endblock title %}
{% block h1 %}Items{% endblock h1 %}

{% block main %}
  <table class="table">
    <thead>
      <tr>
        <th>ID</th>
        <th>Name</th>
        <th>Description</th>
        <th>Price</th>
        <th>Amount</th>
      </tr>
    </thead>
    <tbody>
      {% for item, count in ids.items %}
        <tr>
            <td>{{ item.pk }}</td>
            <td>{{ item.name }}</td>
            <td>{{ item.description }}</td>
            <td>{{ item.price }}</td>
            <td>{{ count }}</td>
            <td></td>
        </tr>
      {% endfor %}
    </tbody>
  </table>
    <p>Total cost: {{ cost }}</p>
    <form action="" method='post' class="ClearCart" id="ClearCart">
                {% csrf_token %}

                <input type="submit" value="Clear cart" class="button">
            </form>
{% endblock main %}

{% block script %}
    <script type="text/javascript" src="{% static 'js/clear_cart.js' %}"></script>
{% endblock %}